org.cpsolver.studentsct.online

## Class Test.TestModel

- java.lang.Object
- - org.cpsolver.ifs.model.Model<V,T>
  - - org.cpsolver.ifs.assignment.context.ModelWithContext<Request,Enrollment,StudentSectioningModel.StudentSectioningModelContext>
    - - org.cpsolver.studentsct.StudentSectioningModel
      - - org.cpsolver.studentsct.online.OnlineSectioningModel
        - - org.cpsolver.studentsct.online.Test.TestModel

- All Implemented Interfaces:
    CanHoldContext, CanInheritContext<Request,Enrollment,StudentSectioningModel.StudentSectioningModelContext>, HasAssignmentContext<Request,Enrollment,StudentSectioningModel.StudentSectioningModelContext>
  Enclosing class:
    Test

      public class Test.TestModel
      extends OnlineSectioningModel

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.cpsolver.studentsct.StudentSectioningModel

      `StudentSectioningModel.StudentSectioningModelContext`

    - ### Nested classes/interfaces inherited from class org.cpsolver.ifs.assignment.context.ModelWithContext

      `ModelWithContext.ContextUpdateType`

  - ### Field Summary

    - ### Fields inherited from class org.cpsolver.studentsct.StudentSectioningModel

      `iProjectedStudentWeight, sDecimalFormat`

    - ### Fields inherited from class org.cpsolver.ifs.model.Model

      `sDoubleFormat, sPercentageFormat, sTimeFormat`

    - ### Fields inherited from interface org.cpsolver.ifs.assignment.context.CanHoldContext

      `sMaxSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestModel(DataProperties config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getExtendedInfo(Assignment<Request,Enrollment> assignment)` Model extended info.

    - ### Methods inherited from class org.cpsolver.studentsct.online.OnlineSectioningModel

      `getKeepInitialAssignments, getOverExpected, getOverExpected, getOverExpected, getOverExpectedCriterion, setOverExpectedCriterion`

    - ### Methods inherited from class org.cpsolver.studentsct.StudentSectioningModel

      `addGlobalConstraint, addLinkedSections, addLinkedSections, addLinkedSections, addLinkedSections, addOffering, addStudent, addVariable, avg, avgNrRequests, avgUnassignPriority, clearOnlineSectioningInfos, computeOnlineSectioningInfos, createAssignmentContext, createInheritedAssignment, getBestAssignedCourseRequestWeight, getDayOfWeekOffset, getDependentCoursesConstraint, getDistanceConflict, getDistanceMetric, getInfo, getLinkedSections, getMaxDomainSize, getNbrStudents, getNrAssignedLastLikeRequests, getNrAssignedRealRequests, getNrCompleteLastLikeStudents, getNrCompleteRealStudents, getNrLastLikeRequests, getNrLastLikeStudents, getNrRealRequests, getNrRealStudents, getOfferings, getProperties, getReservationCanAssignOverTheLimit, getStudentQuality, getStudents, getStudentsWithAccommodation, getStudentWeights, getTimeOverlaps, getTotalRequestWeight, getTotalValue, getTotalValue, getUnassignedRequestWeight, inheritAssignmentContext, isMPP, recomputeTotalValue, removeGlobalConstraint, removeStudent, removeVariable, requestWeightsChanged, restoreBest, saveBest, setCourseRequestPriority, setDayOfWeekOffset, setDistanceConflict, setMaxDomainSize, setStudentQuality, setStudentQuality, setStudentWeights, setTimeOverlaps, toString`

    - ### Methods inherited from class org.cpsolver.ifs.assignment.context.ModelWithContext

      `afterAssigned, afterUnassigned, beforeAssigned, beforeUnassigned, getAssignmentContextReference, getContext, getContext, getContextUpdateType, setAssignmentContextReference, setContextUpdateType`

    - ### Methods inherited from class org.cpsolver.ifs.model.Model

      `addConstraint, addCriterion, addModelListener, afterAssigned, afterUnassigned, assignedVariables, assignedVariables, beforeAssigned, beforeUnassigned, bestUnassignedVariables, bestUnassignedVariables, clearAssignmentContexts, clearBest, conflictConstraints, conflictValues, conflictValues, constraints, countConstraints, countGlobalConstraints, countVariables, createAssignmentContexts, createReference, getBestPerturbations, getBestUnassignedVariables, getBestValue, getCriteria, getCriterion, getDefaultAssignment, getEmptyAssignment, getExtendedInfo, getInfo, getInfo, getInfo, getInfoProviders, getModelListeners, getPerc, getPercRev, getTotalValue, getTotalValue, getTotalValue, globalConstraints, inConflict, inConflict, init, invalidateVariablesWithInitialValueCache, modelListenerOfType, nrAssignedVariables, nrAssignedVariables, nrUnassignedVariables, nrUnassignedVariables, perturbVariables, perturbVariables, perturbVariables, perturbVariables, perturbVariables, removeConstraint, removeCriterion, removeCriterion, removeModelListener, removeReference, restoreBest, restoreBest, saveBest, setBestValue, setDefaultAssignment, toString, unassignedHardConstraints, unassignedVariables, unassignedVariables, variables, variablesWithInitialValue, weaken`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TestModel

          public TestModel(DataProperties config)

  - ### Method Detail

    - #### getExtendedInfo

          public Map<String,String> getExtendedInfo(Assignment<Request,Enrollment> assignment)

      Description copied from class: `StudentSectioningModel`
      Model extended info. Some more information (that is more expensive to compute) is added to an ordinary `Model.getInfo(Assignment)`.
      Overrides:
        `getExtendedInfo` in class `StudentSectioningModel`
      Parameters:
        `assignment` - current assignment
      Returns:
        extended info table